curl --request POST \
--url https://services.leadconnectorhq.com/payments/orders/{orderId}/record-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"mode": "card",
"card": {
"type": "mastercard",
"last4": "1234"
},
"cheque": {
"number": "129-129-129-912"
},
"notes": "This was a direct payment",
"amount": 100,
"meta": {},
"isPartialPayment": true
}
'{
"success": true
}The “Record Order Payment” API allows to record a payment for an order. Use this endpoint to record payment for an order and update the order status to “Paid”.
curl --request POST \
--url https://services.leadconnectorhq.com/payments/orders/{orderId}/record-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"mode": "card",
"card": {
"type": "mastercard",
"last4": "1234"
},
"cheque": {
"number": "129-129-129-912"
},
"notes": "This was a direct payment",
"amount": 100,
"meta": {},
"isPartialPayment": true
}
'{
"success": true
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Order ID
"5e2d4c8e0e8b4e001c1c4f5d"
location Id / company Id based on altType
"6578278e879ad2646715ba9c"
Alt Type
location "location"
manual payment method
cash, card, cheque, bank_transfer, other "card"
Show child attributes
Show child attributes
Any note to be recorded with the transaction
"This was a direct payment"
Amount to be paid against the invoice.
100
Meta data to be recorded with the transaction
Indicates if the order is intended to be a partial payment.
Successful response
Success status of the request
true
Was this page helpful?